
Redmine - Patch #37155

Issue#last_notes fallback does not respect notes visibility

2022-05-24 12:32 - Jens Krämer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.2.7   

Description

In Issue#last_notes there is a fallback for the case that the @last_notes instance variable has not been preloaded by

Issue.load_visible_last_notes. This fallback does not filter journals by visibility, leading to possible unwanted disclosure of notes

marked 'private'. I don't think this is an issue in the current Redmine code base as the fallback is never hit (I think), but in plugins, it

might be triggered.

The attached patch adds a .visible to the scope used to find the relevant journal.

Associated revisions

Revision 21613 - 2022-05-28 11:52 - Marius BĂLTEANU

Issue#last_notes fallback does not respect notes visibility (#37155).

Patch by Jens Krämer.

Revision 21620 - 2022-05-28 20:27 - Marius BĂLTEANU

Merged r21613 to 5.0-stable (#37155).

Revision 21621 - 2022-05-28 20:28 - Marius BĂLTEANU

Merged r21613 to 4.2-stable (#37155).

History

#1 - 2022-05-25 02:18 - Go MAEDA

- Target version set to 4.2.7

Setting the target version to 4.2.7.

#2 - 2022-05-28 11:53 - Marius BĂLTEANU

- Status changed from New to Resolved

- Assignee set to Marius BĂLTEANU

Committed the fix, thanks!

#3 - 2022-05-28 20:28 - Marius BĂLTEANU

- Status changed from Resolved to Closed

Files
